[Run Command] Auto-close on focus loss only if query field is empty
Needs RevisionPublic

Authored by broulik on Jun 1 2017, 9:04 AM.

Details

Reviewers
davidedmundson
ngraham
Group Reviewers
Plasma
VDG
Summary

If the user didn't accept any search result or didn't explicitly close it, he or she might still want to tweak the query, e.g. when summing multiple numbers but first having to look them up.

BUG: 353026
FIXED-IN: 5.15.0

Test Plan

In theory, pressing Alt+Space twice (one to give KRunner focus and another time to close it again) should close it but on X this doesn't work as the global shortcut grabs and then it loses focus in the instant it tries to determin whether it should close or not (Wayland fixed it :P)

Getting this in early in the cycle would give it a lot of testing to see whether it becomes too annoying.

Diff Detail

Repository
R120 Plasma Workspace
Lint
Lint Skipped
Unit
Unit Tests Skipped
broulik created this revision.Jun 1 2017, 9:04 AM
Restricted Application added a project: Plasma. · View Herald TranscriptJun 1 2017, 9:04 AM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
davidedmundson accepted this revision.Jun 5 2017, 12:04 PM
This revision is now accepted and ready to land.Jun 5 2017, 12:04 PM
cfeck added a subscriber: cfeck.Sep 28 2017, 6:28 PM

What is the status of this patch?

Please commit or abandon this.

ngraham accepted this revision.Dec 24 2018, 3:34 PM
ngraham added a subscriber: ngraham.

This works great for me and fixes an annoying bug. Can we get it landed?

ngraham edited the summary of this revision. (Show Details)Dec 24 2018, 3:35 PM
abetts added a subscriber: abetts.Dec 24 2018, 4:30 PM
abetts removed a subscriber: abetts.

Year and half old patch, lucky it got noticed.

elcste added a subscriber: elcste.Feb 18 2019, 11:14 PM
GB_2 added a subscriber: GB_2.Sep 28 2019, 8:15 AM

Is there a reason this isn't landed yet?

ngraham requested changes to this revision.Dec 5 2019, 8:47 PM

Actually I see a problem with this now that I try it out again: if you switch away from Krunner while it's still open with input and then trigger it again, a second one opens!

This revision now requires changes to proceed.Dec 5 2019, 8:47 PM
shubham removed a subscriber: shubham.Dec 13 2019, 2:37 PM

Hey @ngraham @davidedmundson @broulik I was wondering if there are any updates on this patch, as closing when losing focus is a frequent issue for me with KRunner a bunch of other people too according to the Bugzilla issue page for this. Thanks so much!!

In D6056#572826, wrote:

Actually I see a problem with this now that I try it out again: if you switch away from Krunner while it's still open with input and then trigger it again, a second one opens!